<?
/**
 * VoiceOne Settings/Tool/macro
 *
 * Frontend to provide access to the tech system in voiceone.
 * @package voiceone
 * @subpackage  settings_tool
 */
  include ("../../../admin/config/cfg.php");
  global $cwlang, $cwLanguage;
  
  //================ PAGE LOGIC ================
  $alert=getAlert();

  if ($_GET["cmd"]=="del") {
    $ret=$asterisk->delMacro($_GET["id"]);
    if ($ret==1) $alert="<div class=\"AlertGood\">La macro è stata correttamente eliminata</div>";
    else $alert="<div class=\"AlertBad\">La macro NON è stata eliminata</div>";
  }
  
  //--------------------------------------------------------------------------
  $count=0; 
  $ret=$asterisk->getMacro(0);
  if ($err=$asterisk->getError()) die("Error: $err");
  if (is_array($ret)) 
  foreach($ret as $m) {
    $id=$m["id"];
    $label=$m["label"];
    $macroList.="<li><a href=\"./edit/?id=$id\">$label</a></li>";
    $html.="<td><a href=\"./edit/?id=$id\">$label</a>  <a href=\"$PHP_SELF?cmd=del&id=$id\" onclick=\"if (confirm('Sicuro di voler cancellare l\'interno $label?')) return true; else return false;\"><img src=\"$relBasePath/public/img/trash.gif\" /></a></td>\n";
    if ((++$count)%2==0) $html.="</tr><tr>\n";
  }
  
  $title="Available macros";
  //================ MAIN CONTENTS ================
  ob_start();
  ?>

  <?$sel="macro";include("../navigation.php");?>
  
  <div class="SectionHeader">
    <?=$alert?>
    <h1><?=$title?></h1>
    <h3><a href="./edit/index.php" class="admin">Add a new macro</a></h3>
  </div>

  <table class="todolist">
    <tr>
      <?=$html?>
    </tr>
  </table>
  <?
  $contents=ob_get_contents();
  ob_end_clean();

  //================ SIDEBAR ================
  ob_start(); 
  ?>
        <div class="Sidebar">
          <h1><?=$cwlang["isdngrp"][""]?>Macro List</h1>
          <p><?=$cwlang["isdngrp"][""]?>Choose the macro you want to edit
            <ul>
              <?=$macroList?>
            </ul>
          </p>
        </div>
  <?  
  $sidebar=ob_get_contents();
  ob_end_clean();

  //================ SETTINGS ================

  $smarty->assign("section", "application");
  $smarty->assign("subsection", "");
  $smarty->assign("templateType", "TwoColLeft");  //OneCol, TwoColLeft, TwoColRight
  $smarty->assign("contents", $contents);
  $smarty->assign("sidebar", $sidebar);
  $smarty->display('settings.tpl');
?>

